Get an installed agent
curl --request GET \
--url https://api.guild.ai/v1/workspace_agents/{workspace_agent_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.guild.ai/v1/workspace_agents/{workspace_agent_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.guild.ai/v1/workspace_agents/{workspace_agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.guild.ai/v1/workspace_agents/{workspace_agent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.guild.ai/v1/workspace_agents/{workspace_agent_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.guild.ai/v1/workspace_agents/{workspace_agent_id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.guild.ai/v1/workspace_agents/{workspace_agent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_default_chat_agent": true,
"should_autoupdate": true,
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_name": "<string>",
"required_credentials_mode": "SHARED",
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_type": "GUILD_TYPESCRIPT",
"description": "<string>",
"is_public": true,
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cached_forks_count": 123,
"cached_installs_count": 123,
"cached_likes_count": 123,
"is_pinned": true,
"moderation_state": "ACTIVE",
"status": "CREATED",
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar_url": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creation_template": "LLM",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forked_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generated_description": "<string>",
"maintainer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_by": "<unknown>",
"category": "<unknown>",
"creator": "<unknown>",
"forks_count": 123,
"full_name": "<string>",
"git_url": "<string>",
"installs_count": 123,
"is_description_autogenerated": "<unknown>",
"last_updated_by": "<unknown>",
"latest_published_version": "<unknown>",
"latest_version": "<unknown>",
"likes_count": 123,
"maintainer": {},
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"email_domain": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"threads_url": "<string>",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"member_count": "<unknown>",
"viewer_membership_id": "<unknown>",
"viewer_membership_public": "<unknown>",
"viewer_role": "ADMIN",
"type": "organization"
},
"public_profile_url": "<unknown>",
"type": "<unknown>",
"viewer_can_edit": true
},
"agent_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validation_status": "SKIPPED",
"dependencies": {},
"description": "<string>",
"env_references": [
"<unknown>"
],
"input_schema": {},
"llm_models": [
"<unknown>"
],
"output_schema": {},
"published_at": "2023-11-07T05:31:56Z",
"publishing_started_at": "2023-11-07T05:31:56Z",
"raw_tools": [
"<unknown>"
],
"runtime_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha": "<string>",
"summary": "<string>",
"tools": [
"<unknown>"
],
"version_number": "<string>",
"agent": "<unknown>",
"author": "<unknown>",
"status": "<unknown>",
"version_type": "<unknown>"
},
"creator": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"is_operator": true,
"notification_email_level": "NONE",
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"hubspot_synced_at": "2023-11-07T05:31:56Z",
"linkedin_url": "<string>",
"threads_url": "<string>",
"username_set_at": "2023-11-07T05:31:56Z",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"type": "user"
},
"workspace": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrict_account_credentials": true,
"should_restrict_members": true,
"unlimited_power_mode": true,
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_credentials_mode": "SHARED",
"archived_by": "<unknown>",
"creator": "<unknown>",
"full_name": "<string>",
"is_viewer_member": "<unknown>",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"email_domain": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"threads_url": "<string>",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"member_count": "<unknown>",
"viewer_membership_id": "<unknown>",
"viewer_membership_public": "<unknown>",
"viewer_role": "ADMIN",
"type": "organization"
},
"unlimited_power_mode_enabled": "<unknown>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
API key: key id as the username, secret as the password. An account API key carries the same scopes as an OAuth token and is checked against the scopes listed under oauth2 on each operation. A trigger API key is limited to its trigger's workspace and reaches only the session operations that list this scheme alongside the oauth2 scopes.
Path Parameters
Response
Successful response
The user or API key that added this agent version to the workspace.
If True, this workspace agent is used for new chat sessions when no explicit agent is provided.
If True, the agent will automatically update when a new version is published.
Set when this install is an MCP gateway profile, addressed as /workspaces//mcp/<profile_name>. Unset on ordinary agent installs.
100Whose credentials this agent may run with: SHARED = only org-side credentials serve, MEMBER = only the acting member's own. Unset = the workspace's declaration applies, and no requirement when that is unset too.
SHARED, MEMBER Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
curl --request GET \
--url https://api.guild.ai/v1/workspace_agents/{workspace_agent_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.guild.ai/v1/workspace_agents/{workspace_agent_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.guild.ai/v1/workspace_agents/{workspace_agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.guild.ai/v1/workspace_agents/{workspace_agent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.guild.ai/v1/workspace_agents/{workspace_agent_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.guild.ai/v1/workspace_agents/{workspace_agent_id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.guild.ai/v1/workspace_agents/{workspace_agent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_default_chat_agent": true,
"should_autoupdate": true,
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_name": "<string>",
"required_credentials_mode": "SHARED",
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_type": "GUILD_TYPESCRIPT",
"description": "<string>",
"is_public": true,
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cached_forks_count": 123,
"cached_installs_count": 123,
"cached_likes_count": 123,
"is_pinned": true,
"moderation_state": "ACTIVE",
"status": "CREATED",
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar_url": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creation_template": "LLM",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forked_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generated_description": "<string>",
"maintainer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_by": "<unknown>",
"category": "<unknown>",
"creator": "<unknown>",
"forks_count": 123,
"full_name": "<string>",
"git_url": "<string>",
"installs_count": 123,
"is_description_autogenerated": "<unknown>",
"last_updated_by": "<unknown>",
"latest_published_version": "<unknown>",
"latest_version": "<unknown>",
"likes_count": 123,
"maintainer": {},
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"email_domain": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"threads_url": "<string>",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"member_count": "<unknown>",
"viewer_membership_id": "<unknown>",
"viewer_membership_public": "<unknown>",
"viewer_role": "ADMIN",
"type": "organization"
},
"public_profile_url": "<unknown>",
"type": "<unknown>",
"viewer_can_edit": true
},
"agent_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validation_status": "SKIPPED",
"dependencies": {},
"description": "<string>",
"env_references": [
"<unknown>"
],
"input_schema": {},
"llm_models": [
"<unknown>"
],
"output_schema": {},
"published_at": "2023-11-07T05:31:56Z",
"publishing_started_at": "2023-11-07T05:31:56Z",
"raw_tools": [
"<unknown>"
],
"runtime_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha": "<string>",
"summary": "<string>",
"tools": [
"<unknown>"
],
"version_number": "<string>",
"agent": "<unknown>",
"author": "<unknown>",
"status": "<unknown>",
"version_type": "<unknown>"
},
"creator": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"is_operator": true,
"notification_email_level": "NONE",
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"hubspot_synced_at": "2023-11-07T05:31:56Z",
"linkedin_url": "<string>",
"threads_url": "<string>",
"username_set_at": "2023-11-07T05:31:56Z",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"type": "user"
},
"workspace": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrict_account_credentials": true,
"should_restrict_members": true,
"unlimited_power_mode": true,
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_credentials_mode": "SHARED",
"archived_by": "<unknown>",
"creator": "<unknown>",
"full_name": "<string>",
"is_viewer_member": "<unknown>",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"email_domain": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"threads_url": "<string>",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"member_count": "<unknown>",
"viewer_membership_id": "<unknown>",
"viewer_membership_public": "<unknown>",
"viewer_role": "ADMIN",
"type": "organization"
},
"unlimited_power_mode_enabled": "<unknown>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}